﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace pr226_1
{
    // Класс пользовательского исключения: 
    class MyException: ApplicationException {
        // Закрытое целочисленное поле: 
        private int code;
        // Конструктор:
        public MyException(int n, string txt): base(txt) { 
            code = n;
        }
        // Переопределение метода ToString():
        public override string ToString() {
            // Текстовая строка:
            string res = Message + "\nКод ошибки: " + code;
            // Результат метода: 
            return res;
        }
    }

    // Главный класс:
    class Program
    {
        // Главный метод:
        static void Main()
        {
            // Контролируемый код: 
            try
            {
                // Генерация пользовательского исключения: 
                throw new MyException(123, "Большая ошибка");
            }
            // Перехват и обработка исключения: 
            catch (Exception e)
            {
                Console.WriteLine(e);
            }
            // Задержка:
            Console.ReadLine();
        }
    }
}
